View Issue Details

IDProjectCategoryView StatusLast Update
0033029Open CASCADEOCCT:Codingpublic2022-07-02 15:33
Reportersmoskvin Assigned Toatychini  
PrioritynormalSeveritytrivial 
Status verifiedResolutionfixed 
Product Version7.7.0 
Target Version7.7.0 
Summary0033029: Warning on Windows 32 and 64 with VC14 after the integration of ticket 32821
Description++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Project : CR0-WEEK-25_CR0-WEEK-25-OCCT-Windows-32-VC14-opt-compile
++++++++++++++++++++++++++++++++++++++++++++++++++++++++

New warnings appears: 1
 
Type : MSBuild
Category : C4800
File Name : E:/builds/CR0-WEEK-25_CR0-WEEK-25/OCCT_SRC/src/IGESCAFControl/IGESCAFControl_Provider.cxx
Line : 66
Message : Standard_Integer: forcing value to bool true or false (performance warning)
Steps To ReproduceNot required
TagsNo tags attached.
Test case number

Activities

git

2022-06-26 20:04

administrator   ~0109258

Branch CR33029 has been created by atychini.

SHA-1: bd9482db757ef76fe6518e03177dae747153f565


Detailed log of new commits:

Author: atychini
Date: Sun Jun 26 20:03:59 2022 +0300

    0033029: Warning on Windows 32 and 64 with VC14 after the integration of ticket 32821
    
    Warning has been fixed by adding condition.

atychini

2022-06-26 22:28

developer   ~0109259

Dear smoskvin,
please review branch CR33029

All tests are OK, see: http://jenkins-test-08.nnov.opencascade.com/view/CR33029-master-atychini/view/ALL/

bugmaster

2022-07-02 15:20

administrator   ~0109482

Combination -
OCCT branch : IR-2022-07-01
master SHA - e01ce0cd52b37150679c833d1db2cc5edd620341
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-07-01 SHA - 78f14e59f6cde821eed22399cb05bb1295820b58
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18877.730000000698 / 18881.360000000743 [-0.02%]
Products
Total CPU difference: 11831.730000000112 / 11827.420000000122 [+0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 20719.265625 / 20729.6875 [-0.05%]
Products
Total CPU difference: 13368.265625 / 13360.71875 [+0.06%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-07-02 15:33

administrator   ~0109500

Branch CR33029 has been deleted by mnt.

SHA-1: bd9482db757ef76fe6518e03177dae747153f565

Related Changesets

occt: master aaa03c1e

2022-06-26 20:03:59

atychini


Committer: smoskvin Details Diff
0033029: Warning on Windows 32 and 64 with VC14 after the integration of ticket 32821

Warning has been fixed by adding condition.
Affected Issues
0033029
mod - src/IGESCAFControl/IGESCAFControl_Provider.cxx Diff File

Issue History

Date Modified Username Field Change
2022-06-24 18:51 smoskvin New Issue
2022-06-24 18:51 smoskvin Assigned To => atychini
2022-06-26 20:04 git Note Added: 0109258
2022-06-26 22:28 atychini Assigned To atychini => smoskvin
2022-06-26 22:28 atychini Status new => resolved
2022-06-26 22:28 atychini Steps to Reproduce Updated
2022-06-26 22:28 atychini Note Added: 0109259
2022-06-28 06:26 azv Target Version 7.6.3 => 7.7.0
2022-06-28 09:37 kgv Product Version => 7.7.0
2022-06-28 09:37 kgv Assigned To smoskvin => bugmaster
2022-06-28 09:37 kgv Severity minor => trivial
2022-06-28 09:37 kgv Status resolved => reviewed
2022-07-02 15:20 bugmaster Note Added: 0109482
2022-07-02 15:26 smoskvin Changeset attached => occt master aaa03c1e
2022-07-02 15:26 atychini Assigned To bugmaster => atychini
2022-07-02 15:26 atychini Status reviewed => verified
2022-07-02 15:26 atychini Resolution open => fixed
2022-07-02 15:33 git Note Added: 0109500